Subject: bug#54033: Calibre's ebook-viewer only shows white-on-white or dark-on-dark.

From: "Leo Famulari" <[email-masked]>
Date: Fri, 04 Mar 2022 08:19:09 -0500

It's not easy (perhaps impossible) to bisect the core-updates branch. That's because most commits on the branch are not expected to build. For most of the branch's lifetime, it's merely a place to dump patches that cause rebuilds of the entire distro (e.g. a glibc update). It's only in the final stages of the core-updates cycle that we integrate those core changes into a working codebase.

I think we'll have to fix this bug the old-fashioned way: debugging, or reporting it upstream.

On Thu, Mar 3, 2022, at 23:07, Jacob MacDonald wrote:
> Jesse wrote:
>> I do not know if this is specific to guix or a problem generally with Calibre 5.36.
>
> As far as I can tell, it's a problem introduced by Guix, as I noticed
> it occurring with Calibre 5.21. For what it's worth, I have the latest
> working version that I can find installed.
>
> guix time-machine --commit=b603554ed044638dd40b6863d5dada59eefe03b8 --
> package -i calibre
>
> Leo:
>
> I've continued to attempt the last bisect I mentioned, but I'm bogged
> down by repeated build errors that force me to skip more commits than
> I can test. Is there a trick to building the commits which got merged
> in; Do they not work with time-machine? The errors I'm seeing are of
> the form:
>
> guix time-machine: error: You found a bug: the program
> '/gnu/store/mqhfdbrl834biajwq667fzsck344g09s-compute-guix-derivation'
> failed to compute the derivation for Guix (version:
> "b2b799e2d8330af934f48bf66afb5114addb4dd7"; system: "x86_64-linux";
> host version: "1af78ab5e80b98d1914b85709c60fa7f9782e1db"; pull-version: 1).
> Please report it by email to <[email-masked]>.
>
> That latest failure seems to be related to tcsh, but that's not the
> only derivation which has failed for me in the same way.